* add computed lags
gen emplag1 = 2*denom - emp
gen firmslag1 = firms + firmdeath_firms

* add totals by year 
egen long jctot = sum(job_creation), by(year2)
egen long jdtot = sum(job_destruction), by(year2)
egen long njctot = sum(net_job_creation), by(year2)
egen long denomtot = sum(denom), by(year2)
egen long emptot = sum(emp), by(year2)
egen long firmstot = sum(firms), by(year2)
egen long emplag1tot = sum(emplag1), by(year2)
egen long firmslag1tot = sum(firmslag1), by(year2)

* add shares
gen empshr = emp/emptot 
gen firmsshr = firms/firmstot
gen emplag1shr = emplag1/emplag1tot
gen firmslag1shr = firmslag1/firmslag1tot


* job creation/destruction measures
gen jcr = job_creation/emplag1
gen jcr_b = job_creation_births/emplag1
gen jcr_c = job_creation_continuers/emplag1
gen jcr_s = job_creation/(emplag1 - firmdeath_emp)
gen jdr = job_destruction/emplag1
gen jdr_c = job_destruction_continuers/emplag1
gen jdr_s = (job_destruction - firmdeath_emp)/(emplag1 - firmdeath_emp)
gen jdr_ed = job_destruction_deaths/emplag1
gen jdr_fd = firmdeath_emp/emplag1
gen njcr = jcr - jdr

* aggregate across age groups job creation/destruction
egen jcrtot = sum(jcr*emplag1shr), by (year2)
egen jdrtot = sum(jdr*emplag1shr), by (year2)
egen njcrtot = sum((jcr-jdr)*emplag1shr), by(year2)

* firm survival measures
gen firmsurv = firms/firmslag1
gen fcr = -firmdeath_firms/firmslag1tot
replace fcr = firms/firmslag1tot

* average firm size measures 
* firm characteristics by age and year
gen avgsize = emp/firms
gen avgsizelag1 = emplag1/firmslag1
gen avgsizegrowth = avgsize/avgsizelag1 - 1
