clear all
version 12

* set up directory structure
mkdir figures
mkdir sector_model
mkdir figures/sector_model
forv i=1/4 {
  mkdir figures/sector_model/`i'
  }

* read BDS data
do read_bds_firm_age
do read_bds_firm_sector
do read_bds_firm_age_sector
do read_bds_firm_age_state

* create samples
do sample_bds_sector
do sample_bds_sector4
do sample_bds_2groups
do sample_bds_2groups_sector
do sample_bds_2groups_sector4
do sample_bds_2groups_state

* read cyclical indicators (personal income)
do cyclical_indicators.do

* output model data for matlab
do modeldata_bds_2groups_sector.do
do modeldata_bds_2groups.do
do modeldata_bds_2groups_sector_appendix.do

* output Census LBD extracted data from the RDC
do rdc_plots.do

/* .do files below should NOT be submitted sequentially
   as some of them depend on matlab outputted data:
   1) plot_data.do -- wait to run until AFTER running model_2groups_sector.m
*/
*run plot_data.do
